<template >
  <link href="https://cdn.jsdelivr.net/npm/@mdi/font@5.x/css/materialdesignicons.min.css" rel="stylesheet">
  <v-app>
    <NavTopBar :navItems="navItems"/>
    <router-view/> 

  </v-app>
</template>
<script>

import NavTopBar from './components/NavTopBar.vue';

export default {
  name: 'App',
  setup(){
    const navItems = [
        { title: 'Workbench', icon: 'mdi-view-dashboard', route: '/' },
        { title: 'Browse', icon: 'mdi-earth', route: '/platforms' }
      ];

    return {
      navItems
    }

  },
  components: {
    NavTopBar
  }
};
</script>

<style>

.highlight-row:hover {
  background-color: #468849;
  cursor: pointer;
}

.clickable-test {
  color: 'primary';
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

nav {
  padding: 30px;
}

nav a {
  font-weight: bold;
  color: #2c3e50;
}

nav a.router-link-exact-active {
  color: #42b983;
}
</style>
